
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class CreateCollectionItems < ActiveRecord::Migration[4.2]
  def change
    create_table :collection_items do |t|
      t.references :collectionable, polymorphic: true, index: {name: "index_citems_on_ctype_and_cid"}

      t.references :collection, index: true

      t.integer :order

      t.timestamps null: false
    end
    add_foreign_key :collection_items, :collections
  end
end
