
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class AddKeys < ActiveRecord::Migration[4.2]
  def change
    add_foreign_key "learning_objects_topics", "learning_objects", name: "learning_objects_topics_learning_object_id_fk"
    add_foreign_key "learning_objects_topics", "topics", name: "learning_objects_topics_topic_id_fk"
    add_foreign_key "roles_users", "roles", name: "roles_users_role_id_fk"
    add_foreign_key "roles_users", "users", name: "roles_users_user_id_fk"
  end
end
