
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

namespace :portalmec do
  desc 'setup initial environment'
  task :setup do
    # runs db:drop db:create db:migrate
    Rake::Task['db:migrate:reset'].invoke
    Rake::Task['db:seed'].invoke

    Rake::Task['import:learning_object'].invoke
    Rake::Task['import:tag'].invoke
    Rake::Task['import:educational_stage'].invoke
    Rake::Task['object_type:restart'].invoke
    Rake::Task['language:restart'].invoke

    Rake::Task['attachment:set_unknown'].invoke
    Rake::Task['thumbnail:create_missing'].invoke
  end
end
